QUEUE_WORK_ON(9)

NAME
queue_work_on - queue work on specific cpu

SYNOPSIS

bool queue_work_on(int cpu, struct workqueue_struct * wq, struct work_struct * work);

ARGUMENTS

cpu
    CPU number to execute work on

wq
    workqueue to use

work
    work to queue

DESCRIPTION

We queue the work to a specific CPU, the caller must ensure it can't go away.

RETURN

false if work was already on a queue, true otherwise.

COPYRIGHT